> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flynet.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List restaurant locations

Returns paginated locations for a restaurant.

Auth: API key in `X-API-Key`.

## Example

```bash theme={null}
curl "https://api.staging.blackbird.xyz/flynet/v1/restaurants/{uuid}/locations?page=0&page_size=25" \
  -H "X-API-Key: $API_KEY"
```

## Response

```json theme={null}
{
  "locations": [
    {
      "id": "{uuid}",
      "object": "location",
      "name": "West Village",
      "restaurant": { "id": "{uuid}", "object": "restaurant" },
      "neighborhood": { "name": "West Village", "region": "New York, NY" },
      "address": { "city": "New York", "state": "NY" },
      "payments_enabled": true,
      "is_club": false
    }
  ],
  "pagination": {
    "total_count": 1,
    "total_pages": 1,
    "current_page": 0,
    "next_page": null,
    "page_size": 25
  }
}
```
